Loading...
Searching...
No Matches
pqxx::prepare Namespace Reference

## Functions

template<typename IT>
constexpr auto | make_dynamic_params (IT begin, IT end)
template<typename C>
constexpr auto | make_dynamic_params (C const &container)
template<typename C, typename ACCESSOR>
constexpr auto | make_dynamic_params (C &container, ACCESSOR accessor)

## Detailed Description

Deprecated
  The new params class replaces all of this.

## Function Documentation

## make_dynamic_params() [1/3]

template<typename C, typename ACCESSOR>

auto pqxx::prepare::make_dynamic_params | ( | C & | container,
|  | ACCESSOR | accessor )

inline constexpr

Deprecated
  Use params instead.

## make_dynamic_params() [2/3]

template<typename C>

auto pqxx::prepare::make_dynamic_params | ( | C const & | container | ) |

inline constexpr

Deprecated
  Use params instead.

## make_dynamic_params() [3/3]

template<typename IT>

auto pqxx::prepare::make_dynamic_params | ( | IT | begin,
|  | IT | end )

inline constexpr

Deprecated
  Use params instead.